#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#define TAM 10

void atribui_vetor(int * vetor) {
    for (int i = 0; i < TAM; i++) {
        vetor[i] = rand()%21;
    }
}

void imprime_vetor(int *vetor) {
    for (int j = 0; j < TAM; j++) {
        printf("vetor[%d] = %d\n", j, vetor[j]);
    }
}

void procura_maior(int *vetor, int *maior) {
    *maior = vetor[0];
    for (int i = 0; i < TAM; i++) {
        if (vetor[i] > *maior) {
            *maior = vetor[i];
        }
    }
}

void atribui_cadeia(char *cadeia) {
    strcpy(cadeia, "novo");
}

void atribui_menor(int *vetor, int *menor) {
    *menor = vetor[0];
    for (int i = 0; i < TAM; i++) {
        if (vetor[i] < *menor) {
            *menor = vetor[i];
        }
    }
}

int main(int argc, const char * argv[]) {

    int vetor[TAM];
    int maior = 0;
    int menor = 0;
    
    char cadeia[10];
   
    srand((unsigned int)time(NULL));
    
    atribui_vetor(vetor);
    
    imprime_vetor(vetor);
    
    strcpy(cadeia, "velho");
    atribui_cadeia(cadeia);
    printf("O valor da cadeia é %s\n", cadeia);
    
    atribui_menor(vetor, &menor);
    printf("O menor valor é %d\n", menor);
    
    procura_maior(vetor, &maior);
    printf("O maior valor é %d\n", maior);
    
    return 0;
}
